## Package org.springframework.expression.spel

Interface Summary
SpelNode: Represents a node in the Ast for a parsed expression.

Class Summary
ExpressionState: An ExpressionState is for maintaining per-expression-evaluation state, any changes to it are not seen by other expressions but it gives a place to hold local variables and for component expressions in a compound expression to communicate state.
SpelParserConfiguration: Configuration object for the SpEL expression parser.

Enum Summary
SpelMessage: Contains all the messages that can be produced by the Spring Expression Language.
SpelMessage.Kind

Exception Summary
InternalParseException: Wraps a real parse exception.
SpelEvaluationException: Root exception for Spring EL related exceptions.
SpelParseException: Root exception for Spring EL related exceptions.